#!/usr/bin/perl -w

my $dumpbw = `which dumpbw`;
chomp($dumpbw);
my $input = shift || '/home/fft/cd/us/open/opnbk.bin';
my $output = shift || 'opnbk';

die "can't find dumpbw" if (not -e $dumpbw);

my @sizes = ( 320*240*2, 256*240*2, 210*180*2, 210*180*2, 210*180*2, 210*180*2, 512*240*2);
my @split = ( 320      , 256      , 210      , 210      , 210      , 210      , 512 );

my $offset = 0;
for (my $itr = 0; $itr <= $#sizes; $itr++) {
  my $exec = "$dumpbw -c $input -o $output-$itr.gif -l $split[$itr] -j $offset:$sizes[$itr]";
  print $exec, "\n";
  system($exec);

  $offset += $sizes[$itr];
  # Block-aligned for the CD-ROM.
  $offset = ($offset + 2047) & ~2047;
}
